aboutsummaryrefslogtreecommitdiffstats
path: root/community/libebur128/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/libebur128/APKBUILD')
-rw-r--r--community/libebur128/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/community/libebur128/APKBUILD b/community/libebur128/APKBUILD
new file mode 100644
index 0000000000..e1f792233e
--- /dev/null
+++ b/community/libebur128/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: psykose <alice@ayaya.dev>
+# Maintainer: psykose <alice@ayaya.dev>
+pkgname=libebur128
+pkgver=1.2.6
+pkgrel=1
+pkgdesc="Library implementing the EBU R128 loudness standard"
+url="https://github.com/jiixyj/libebur128"
+arch="all"
+license="MIT"
+options="!check" # needs extra unpackaged wav files
+makedepends="cmake samurai"
+subpackages="$pkgname-dev"
+source="$pkgname-$pkgver.tar.gz::https://github.com/jiixyj/libebur128/archive/refs/tags/v$pkgver.tar.gz"
+
+build() {
+ cmake -B build -G Ninja \
+ -DCMAKE_BUILD_TYPE=MinSizeRel \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_LIBDIR=lib \
+ -DENABLE_TESTS="$(want_check && echo ON || echo OFF)"
+ cmake --build build
+
+}
+
+package() {
+ DESTDIR="$pkgdir" cmake --install build
+}
+
+sha512sums="
+ab188c6d32cd14613119258313a8a3fb1167b55501c9f5b6d3ba738d674bc58f24ac3034c23d9730ed8dc3e95a23619bfb81719e4c79807a9a16c1a5b3423582 libebur128-1.2.6.tar.gz
+"